### Constructor

# Msg OAuth2Authorizer new

#### Declaration [src]

    MsgOAuth2Authorizer*
    msg_oauth2_authorizer_new (
      const char* client_id,
      const char* redirect_uri
    )

#### Description

No description available.

#### Parameters

`client_id`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`redirect_uri`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `MsgOAuth2Authorizer`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.